Debian Bug report logs - #46853
man-db: Locale support : man doesn't know about LC_ALL

version graph

Package: man-db; Maintainer for man-db is Colin Watson <cjwatson@debian.org>; Source for man-db is src:man-db.

Reported by: hertzog@debian.org

Date: Thu, 7 Oct 1999 14:03:00 UTC

Severity: normal

Found in version 2.3.10-69n

Fixed in version man-db/2.3.10-69r

Done: Fabrizio Polacco <fpolacco@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fabrizio Polacco <fpolacco@debian.org>:
Bug#46853; Package man-db. Full text and rfc822 format available.

Acknowledgement sent to hertzog@debian.org:
New Bug report received and forwarded. Copy sent to Fabrizio Polacco <fpolacco@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: hertzog@debian.org
To: submit@bugs.debian.org
Subject: man-db: Locale support : man doesn't know about LC_ALL
Date: Thu, 7 Oct 1999 15:56:25 +0200 (CEST)
Package: man-db
Version: 2.3.10-69n
Severity: normal

Man checks the locale setup to give me a translated page if possible.
However it doesn't seem to know about LC_ALL & LC_MESSAGES.

LC_ALL=fr_FR man ethers      => english
LANG=fr_FR man ethers        => french
LC_MESSAGES=fr_FR man ethers => english

Cheers,
-- System Information
Debian Release: potato
Kernel Version: Linux k6 2.2.13pre9 #1 lun sep 20 08:39:57 CEST 1999 i586 unknown

Versions of the packages man-db depends on:
ii  groff           1.11a-7.1      GNU troff text-formatting system.
ii  libc6           2.1.2-5        GNU C Library: Shared libraries and timezone


Information forwarded to debian-bugs-dist@lists.debian.org, Fabrizio Polacco <fpolacco@debian.org>:
Bug#46853; Package man-db. Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Polacco <fab@prosa.it>:
Extra info received and forwarded to list. Copy sent to Fabrizio Polacco <fpolacco@debian.org>. Full text and rfc822 format available.

Message #10 received at 46853@bugs.debian.org (full text, mbox):

From: Fabrizio Polacco <fab@prosa.it>
To: hertzog@debian.org, 46853@bugs.debian.org
Subject: Re: Bug#46853: man-db: Locale support : man doesn't know about LC_ALL
Date: Thu, 7 Oct 1999 18:34:58 +0300
On Thu, Oct 07, 1999 at 03:56:25PM +0200, hertzog@debian.org wrote:
> Package: man-db
> Version: 2.3.10-69n
> Severity: normal
> 
> Man checks the locale setup to give me a translated page if possible.
> However it doesn't seem to know about LC_ALL & LC_MESSAGES.
> 
> LC_ALL=fr_FR man ethers      => english
> LANG=fr_FR man ethers        => french
> LC_MESSAGES=fr_FR man ethers => english
> 

Raphael, what do you mean?

	$ LANG=it man -w mandb
	/usr/share/man/it/man8/mandb.8.gz 
	$ LC_ALL=it man -w mandb
	/usr/share/man/it/man8/mandb.8.gz 
	$ LC_MESSAGES=it man -w mandb
	/usr/share/man/it/man8/mandb.8.gz 
	$ LC_MESSAGES=it man -w foo  
	Non c'è il manuale per foo
	$ LC_ALL=it man -w foo  
	Non c'è il manuale per foo
	$ LANG=it man -w foo  
	Non c'è il manuale per foo
	$ man foo
	No manual entry for foo
	$ LC_MESSAGES=fr man -w foo
	No manual entry for foo


Ah, now I see!
look:

	$ dpkg -L man-db | grep LC_MESSAGES/
	/usr/share/locale/de/LC_MESSAGES/man-db.mo
	/usr/share/locale/it/LC_MESSAGES/man-db.mo
	/usr/share/locale/es/LC_MESSAGES/man-db.mo
	/usr/share/locale/cs/LC_MESSAGES/man-db.mo
	/usr/share/locale/ja/LC_MESSAGES/man-db.mo

despite my requests, nobody has ever bothered to translate man-db
manpages and/or messages in french!

So, (now it's your turn), what do you reply?

fab
-- 
| fab@pukki.ntc.nokia.com     fpolacco@prosa.it    fpolacco@debian.org
| 6F7267F5 fingerprint 57 16 C4 ED C9 86 40 7B 1A 69 A1 66 EC FB D2 5E
| fabrizio.polacco@nokia.com                  gsm: +358 (0)40 707 2468


Information forwarded to debian-bugs-dist@lists.debian.org, Fabrizio Polacco <fpolacco@debian.org>:
Bug#46853; Package man-db. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <rhertzog@hrnet.fr>:
Extra info received and forwarded to list. Copy sent to Fabrizio Polacco <fpolacco@debian.org>. Full text and rfc822 format available.

Message #15 received at 46853@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <rhertzog@hrnet.fr>
To: Fabrizio Polacco <fab@prosa.it>, 46853@bugs.debian.org
Subject: Re: Bug#46853: man-db: Locale support : man doesn't know about LC_ALL
Date: Thu, 7 Oct 1999 17:42:57 +0200
Le Thu, Oct 07, 1999 at 06:34:58PM +0300, Fabrizio Polacco écrivait:
> Raphael, what do you mean?

Well there was an error on my part. man does recognize LC_ALL ...

But it doesn't take into account that LC_ALL should supercede any
other information like LANG :
~@k6$ LANG=C LC_ALL=it man -w mandb 
/usr/share/man/man8/mandb.8.gz

The correct priority is from the most important to the less one :
LC_ALL
LC_MESSAGES
LANG

> 	$ dpkg -L man-db | grep LC_MESSAGES/
> 	/usr/share/locale/de/LC_MESSAGES/man-db.mo
> 	/usr/share/locale/it/LC_MESSAGES/man-db.mo
> 	/usr/share/locale/es/LC_MESSAGES/man-db.mo
> 	/usr/share/locale/cs/LC_MESSAGES/man-db.mo
> 	/usr/share/locale/ja/LC_MESSAGES/man-db.mo
> 
> despite my requests, nobody has ever bothered to translate man-db
> manpages and/or messages in french!

This wasn't my problem but I'll ask someone to translate it ... :-)

Cheers,
-- 
Raphaël Hertzog >> 0C4CABF1 >> http://tux.u-strasbg.fr/~raphael/
<pub> CD Debian : http://tux.u-strasbg.fr/~raphael/debian/#cd </pub>


Reply sent to Fabrizio Polacco <fpolacco@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to hertzog@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 46853-close@bugs.debian.org (full text, mbox):

From: Fabrizio Polacco <fpolacco@debian.org>
To: 46853-close@bugs.debian.org
Subject: Bug#46853: fixed in man-db 2.3.10-69r
Date: 18 Oct 1999 18:55:58 -0000
We believe that the bug you reported is fixed in the latest version of
man-db, which has been installed in the Debian FTP archive:
man-db_2.3.10-69r_i386.deb
  to dists/potato/main/binary-i386/doc/man-db_2.3.10-69r.deb
  replacing man-db_2.3.10-69p.deb
man-db_2.3.10-69r.diff.gz
  to dists/potato/main/source/doc/man-db_2.3.10-69r.diff.gz
  replacing man-db_2.3.10-69p.diff.gz
man-db_2.3.10-69r.dsc
  to dists/potato/main/source/doc/man-db_2.3.10-69r.dsc
  replacing man-db_2.3.10-69p.dsc

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 46853@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabrizio Polacco <fpolacco@debian.org> (supplier of updated man-db package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.6
Date: Sat, 16 Oct 1999 03:33:23 +0300
Source: man-db
Binary: man-db
Architecture: source i386
Version: 2.3.10-69r
Distribution: unstable
Urgency: low
Maintainer: Fabrizio Polacco <fpolacco@debian.org>
Description: 
 man-db     - Display the on-line manual.
Closes: 28819 46853 47434
Changes: 
 man-db (2.3.10-69r) unstable; urgency=low
 .
   * Modified utility accessdb to default to FHS location of the cache.
   * Reduced verbosity of mandb when -q option is used; thanx to
     Francesco Potorti` <F.Potorti@cnuce.cnr.it>; closes: #28819.
   * corrected location of manual in menu and use of doc-base.
     Thanx to "J.H.M. Dassen \(Ray\)" <jdassen@wi.LeidenUniv.nl>
     closes: #47434.
   * applied patch for locale setting (also to manpath and whatis), and
     for inclusion of locale dirs in path. Thanx to Michael Sobolev
     <mss@transas.com> and to Raphael Hertzog <rhertzog@hrnet.fr>;
     closes: #46853.
   * Added message catalog in French, translated by Laurent Pelecq
     <laurent.pelecq@wanadoo.fr>, but mainly thanx to Raphael Hertzog who
     made this possible (I tried several times :-)
     Now, when we'll get also the manpages in French?
Files: 
 eb10d6bb620da370fdd55ab80f6b04f3 685 doc important man-db_2.3.10-69r.dsc
 54809de006a5d47b9829e960c7e5d8af 242989 doc important man-db_2.3.10-69r.diff.gz
 ca6906fb38d160111d8792054b8f3e9d 329332 doc important man-db_2.3.10-69r_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: latin1
Comment: Signed by Fabrizio Polacco <fpolacco@prosa.it>

iQCVAwUBOAsIg32120Nvcmf1AQE5CgQAlHWhKlEdju+zuFSyRH9ZqFFAQUGdjdPT
UDd1HEv+5funJfOHXpcdaf/tfwYTc6nJNHIlY4+ext1fHsFdHfnVoCS2bVJJdpL2
oJrK0Dx5qIsUNZt2nV0XSf53Aw2awN1b9D6q2/tAxaOmts/x/W3ZFH5TILBPrVGI
ZT+m/wlJ2zE=
=FDqI
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:57:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.